Bug 1132400 - metrics load icon visible forever for storage nodes auto-group
Summary: metrics load icon visible forever for storage nodes auto-group
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER02
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-21 09:46 UTC by Armine Hovsepyan
Modified: 2015-09-03 00:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:04:20 UTC
Type: Bug


Attachments (Terms of Use)
storage-group-graphs (116.51 KB, image/png)
2014-08-21 09:46 UTC, Armine Hovsepyan
no flags Details
storage_autogrp_grapg_load (123.19 KB, application/octet-stream)
2014-09-04 13:21 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-08-21 09:46:01 UTC
Created attachment 929153 [details]
storage-group-graphs

Description of problem:
metrics load icon visible forever for storage nodes auto-group

Version-Release number of selected component (if applicable):
jon 3.3 er1

How reproducible:
always

Steps to Reproduce:

1. go to platforms -> Storage Nodes group -> Graphs 
2. go to platforma -> CPUs -> graphs 
3. go to platforms -> CPUs -> graphs -> RHQ Storage Nodes group -

Actual results:
After step1. --- load icon visible forever
After step2. --- metrics are visible
After step3. --- no metrics visible

Expected results:
After step1. --- no metrics visible
After step2. --- metrics are visible
After step3. --- no metrics visible

Additional info:
screen-shot attached

Comment 1 Jirka Kremser 2014-08-22 09:33:56 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/a9c1625d8
time:    2014-08-22 10:17:03 +0200
commit:  a9c1625d8c9c1fee15c0bf5047cdafc27abe840b
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1132400] - metrics load icon visible forever for storage nodes
         auto-group - processResponse() even if there are no metrics to
         remove the spinner icon

Comment 3 Mike Thompson 2014-08-22 14:39:00 UTC
Cherry-picked to release/jon3.3.x

commit 82c44f9b3e039426819676d6284cc187ba86d2ca
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Thu Aug 21 17:25:24 2014 +0200

    [BZ 1132400] - metrics load icon visible forever for storage nodes auto-group - processResponse() even if there are no metrics to remove the spinner icon

    (cherry picked from commit a9c1625d8c9c1fee15c0bf5047cdafc27abe840b)
    Signed-off-by: Mike Thompson <mithomps@redhat.com>

Comment 4 Simeon Pinder 2014-09-03 20:31:42 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 5 Armine Hovsepyan 2014-09-04 13:21:13 UTC
Created attachment 934409 [details]
storage_autogrp_grapg_load

Comment 6 Armine Hovsepyan 2014-09-04 13:21:58 UTC
verified in JON 3.3 ER02
screen-shot attached


Note You need to log in before you can comment on or make changes to this bug.